
QGIS Application - Bug report #12176

Custom dash pattern UI unclear

2015-02-10 02:20 PM - Corey Burger

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20367

Description

The custom dash pattern UI is completely unclear and produces very odd results.

The problems:

1. Unclear what units are being used: It isn't millimetres, nor is it some arbitrary unit of 1 line width

2. Production of an alternating pattern (where one line dashes in others space) appears impossible

I recommend copying the UI from Illustrator, which is simple and easy to understand. It can be seen here: 

http://www.vectordiary.com/tips-and-tricks/dotted-lines-in-illustrator/

History

#1 - 2015-02-21 04:13 PM - Anita Graser

- Affected QGIS version changed from 2.6.0 to master

- Assignee set to Nathan Woodrow

- Target version set to Future Release - Lower Priority

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-08 03:44 PM - Nathan Woodrow

- Description updated

- Assignee deleted (Nathan Woodrow)

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
